package ibase.client.resources;




import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.CssResource;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ClientBundle.Source;
import com.google.gwt.resources.client.CssResource.NotStrict;
import com.google.gwt.user.cellview.client.DataGrid;



public interface Resources extends ClientBundle  
{
	public static final Resources INSTANCE = (Resources) GWT.create(Resources.class);
	
	
	@NotStrict
	@Source("css/E12DashboardPage.css") 
	public CssResource e12DashboardPage();
	
	@NotStrict
	@Source("css/default.css")
	CssResource defaultCSS();
	
	@NotStrict
	@Source("css/blueTheme.css")
	CssResource blueThemeCSS();
	
	@Source("images/pophelp.jpg")
	public ImageResource pophelp();
	
	//Added by Reema on 25/04/14 for Theme wise changes
	@Source("images/add.png")
	public ImageResource addButton();
	
	@Source("images/add-blue.png")
	public ImageResource addButtonBlue();
			
	@Source("images/searchButton-blue.png")
	public ImageResource searchButtonBlue();
	
	@Source("images/searchButton.png")
	public ImageResource searchButton();
	
	@Source("images/searchOptionButton-blue.png")
	public ImageResource searchOptionButtonBlue();
	
	@Source("images/searchOptionButton.png")
	public ImageResource searchOptionButton();
	
	//Added by Reema on 12/05/14 [buttons for help information]
	@Source("images/helpOption.png")
	public ImageResource helpOption();
	
	@Source("images/helpOption-blue.png")
	public ImageResource helpOptionBlue();
	
	@Source("images/documentHelp.png")
	public ImageResource docHelp();
	
	@Source("images/documentHelp-blue.png")
	public ImageResource docHelpBlue();
	
	@Source("images/large-loading.gif")
	public ImageResource loadingImg();

interface DataGridResources extends DataGrid.Resources {
	
	@Source(value = { DataGrid.Style.DEFAULT_CSS, "css/DataGrid/blueTheme.css" })
	public DataGrid.Style blueThemeCSS();
	

	@Source(value = { DataGrid.Style.DEFAULT_CSS, "css/DataGrid/grayTheme.css" })
	public DataGrid.Style grayThemeCSS();

	@Source(value = { DataGrid.Style.DEFAULT_CSS, "css/DataGrid/orangeTheme.css" })
	public DataGrid.Style orangeThemeCSS();

	@Source(value = { DataGrid.Style.DEFAULT_CSS, "css/DataGrid/greenTheme.css" })
	public DataGrid.Style greenThemeCSS();
}

public static final DataGridResources DATAGRID_RES = (DataGridResources) GWT.create(DataGridResources.class);



}

